document.addEventListener("DOMContentLoaded", function() {
    function enviarPedido() {
        let button = document.querySelector("#enviarpedidowsp");
        if (button) {
            button.click();
        } else {
            console.warn("Botón #enviarpedidowsp no encontrado. Esperando...");
            setTimeout(enviarPedido, 500); // Reintentar después de 500ms
        }
    }

    document.querySelectorAll('a[href="#enviarpedidowsp"]').forEach(link => {
        link.addEventListener("click", function(event) {
            event.preventDefault();
            enviarPedido();
        });
    });
});
